"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserParameterExtractor = void 0;
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class UserParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor() {
        super(UserParameterExtractor);
        this.source = "virtual";
        this.name = "user";
    }
    extract(request, response, user) {
        this.logger.debug("Extracting user from request");
        this.logger.trace("User: %j", user);
        return user;
    }
}
exports.UserParameterExtractor = UserParameterExtractor;
//# sourceMappingURL=UserParameterExtractor.js.map