import { ApiParam } from "../../../../model/open-api/ApiParam";
/**
 * Decorator which injects a query parameter value as an endpoint parameter value.
 *
 * Value passed to the method will be a string.
 *
 * @param paramName The name of the query parameter to inject.
 */
export declare function queryParam(paramName: string, apiParamInfo?: ApiParam): (classDefinition: Object | Function, methodName: string, paramIndex: number) => void;
